
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>基于FFmpeg的Dxva2硬解码及Direct3D显示（三） / 憋错料</title>

    <meta name="description" content="基于FFmpeg的Dxva2硬解码及Direct3D显示（三） 配置FFmpeg硬解码 设置解码输出格式回调 static AVPixelFormat GetHwFormat(AVCodecContext * pCodecCtx, const AVPixelFormat * pPixFmt) { // 因为采用的是DXVA2,所以这里直接写死了 return AV_PIX_FMT_DXVA2_VLD; } m_pDecoderCtx-&gt;get_format = GetHwFormat; 设置解码数据回调 // 个人理解就是将LPDIRECT3DSURF ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">基于FFmpeg的Dxva2硬解码及Direct3D显示（三）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h2>配置FFmpeg硬解码</h2>
<ol>
<li>设置解码输出格式回调</li>
</ol>
<pre><code>static AVPixelFormat GetHwFormat(AVCodecContext * pCodecCtx, const AVPixelFormat * pPixFmt)
{
    // 因为采用的是DXVA2，所以这里直接写死了
    return AV_PIX_FMT_DXVA2_VLD;
}

m_pDecoderCtx-&gt;get_format = GetHwFormat;</code></pre>
<ol>
<li>设置解码数据回调</li>
</ol>
<pre><code>// 个人理解就是将LPDIRECT3DSURFACE9转为(uint8_t *)，同时得保证内存不会立即被释放
static int GetBufferCallBack(AVCodecContext * pCodecCtx, AVFrame * pFrame, int flags)
{
    // 单路视频时 pFrame 地址为两个固定地址切换，类似于一个前台表面，一个后台表面
    if (pFrame-&gt;format != AV_PIX_FMT_DXVA2_VLD)
    {
        return -1;
    }

    // 获取解码后的数据，不可直接访问
    LPDIRECT3DSURFACE9 surface = ((LPDIRECT3DSURFACE9*)(pCodecCtx-&gt;opaque))[0];

    // 将LPDIRECT3DSURFACE9转为AVBuffer，并返回AVBufferRef
    // 类似于智能指针，增加对buffer的引用计数，默认使用av_buffer_default_free释放
    pFrame-&gt;buf[0] = av_buffer_create((uint8_t*)surface, 0, nullptr, nullptr, AV_BUFFER_FLAG_READONLY);
    if (!pFrame-&gt;buf[0])
    {
        return AVERROR(ENOMEM);
    }

    // 这一步拿到最终可以显示的数据，必须是data[3]
    pFrame-&gt;data[3] = (uint8_t *)surface;

    return 0;
}

m_pDecoderCtx-&gt;get_buffer2 = GetBufferCallBack;</code></pre>
<ol>
<li>设置解码上下文额外信息</li>
</ol>
<pre><code>// m_pSurface 在上一篇博文介绍了
pCodecCtx-&gt;opaque = m_pSurface; </code></pre>
<ol>
<li>配置硬解加速上下文（上一篇博文的内容都是为这一步服务的）</li>
</ol>
<pre><code>// 为解码器上下文申请硬件加速内存
pCodecCtx-&gt;hwaccel_context = av_mallocz(sizeof(struct dxva_context));
if (!pCodecCtx-&gt;hwaccel_context)
{
    return FALSE;
}

// 设置硬件加速上下文
struct dxva_context *dxva2Ctx = (dxva_context *)pCodecCtx-&gt;hwaccel_context;
dxva2Ctx-&gt;cfg = &amp;m_config;
dxva2Ctx-&gt;decoder = m_pDecoder;
dxva2Ctx-&gt;surface = m_pSurface;
dxva2Ctx-&gt;surface_count = m_surfaceNums;

// 对老的intel GPU 的支持
if (IsEqualGUID(m_decoderGuid, DXVADDI_Intel_ModeH264_E))
{
    dxva2Ctx-&gt;workaround |= FF_DXVA2_WORKAROUND_INTEL_CLEARVIDEO;
}</code></pre>

<p>原文地址：https://www.cnblogs.com/huluwa508/p/10304442.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-06 23:50:33 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/error/" title="error">error</a>, <a href="https://www.biecuoliao.com/tag/size/" title="size">size</a>, <a href="https://www.biecuoliao.com/tag/config/" title="config">config</a>, <a href="https://www.biecuoliao.com/tag/%e7%a1%ac%e4%bb%b6/" title="硬件">硬件</a>, <a href="https://www.biecuoliao.com/tag/gui/" title="gui">gui</a>, <a href="https://www.biecuoliao.com/tag/equal/" title="equal">equal</a>, <a href="https://www.biecuoliao.com/tag/direct3d/" title="direct3d">direct3d</a>, <a href="https://www.biecuoliao.com/tag/%e5%b0%b1%e6%98%af/" title="就是">就是</a>, <a href="https://www.biecuoliao.com/tag/avframe/" title="AVFrame">AVFrame</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>基于FFmpeg的Dxva2硬解码及Direct3D显示（三）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDgo7n4.html" rel="bookmark">基于FFmpeg的Dxva2硬解码及Direct3D显示（四）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				显示及资源清理 显示 关于D3D显示的大概步骤是解码数据放在缓冲区,也就是这里离屏的概念,然后将离屏数据拷贝到后台缓冲表面,后台表面和前台表面不停的交替实现显示. // 离屏 LPDIRECT3DSURFACE9 surface = (LPDIRECT3DSURFACE9)pFrame-&gt;data[3]; // D3DCLEAR_TARGET 清除要渲染目标(帧缓存)的颜色为D3DCOLOR_XRGB(0, 0, 0)的值 // D3DCLEAR_ZBUFFER 清除深度缓冲(确定像素遮挡关系)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmbnGP0.html" rel="bookmark">&lbrack;原&rsqb;ffmpeg编译android 硬解码支持库 libstagefright</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近花了一天时间将ffmpeg/tools/build_stagefright执行成功,主要是交叉编译所需要的各种动态库的支持没链接上,导致各种报错,基本上网络上问到的问题我都碰到了,特此记录下来. 编译环境:Ubuntu 14.04 + Android NDK + FFmpeg源码. 第一步:将ffmpeg/tools/build_stagefright移动到ffmpeg下面,修改执行权限. chmod u+x build_stagefright 第二步:打开build_stagefright			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0j9B5gM.html" rel="bookmark">最简单的基于FFmpeg的封装格式转换器（无编解码）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文介绍一个基于FFMPEG的封装格式转换器.所谓的封装格式转换,就是在AVI,FLV,MKV,MP4这些格式之间转换(对应.avi,.flv,.mkv,.mp4文件).需要注意的是,本程序并不进行视音频的编码和解码工作.而是直接将视音频压缩码流从一种封装格式文件中获取出来然后打包成另外一种封装格式的文件.传统的转码程序工作原理如下图所示: 上图例举了一个举例:FLV(视频:H.264,音频:AAC)转码为AVI(视频:MPEG2,音频MP3)的例子.可见视频转码的过程通俗地讲相当于把视频和音频			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nvDZV0.html" rel="bookmark">【GPU编解码】GPU硬解码---DXVA</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[GPU编解码]GPU硬解码---DXVA 前面介绍利用NVIDIA公司提供的CUVID库进行视频硬解码,下面将介绍利用DXVA进行硬解码. 一.DXVA介绍 DXVA是微软公司专门定制的视频加速规范,是一种接口规范.DXVA规范制定硬件加速解码可分四级:VLD,控制BitStream:IDCT,反余弦变换:Mocomp,运动补偿,Pixel Prediction:PostProc,显示后处理.其中,VLD加速等级最高,所以其包含IDCT.MoCoopm和PostProc:IDCT加速次之,包含			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3v5lBk0.html" rel="bookmark">【GPU编解码】GPU硬解码---DXVA &lpar;转&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前面介绍利用NVIDIA公司提供的CUVID库进行视频硬解码,下面将介绍利用DXVA进行硬解码. 一.DXVA介绍 DXVA是微软公司专门定制的视频加速规范,是一种接口规范.DXVA规范制定硬件加速解码可分四级:VLD,控制BitStream:IDCT,反余弦变换:Mocomp,运动补偿,Pixel Prediction:PostProc,显示后处理.其中,VLD加速等级最高,所以其包含IDCT.MoCoopm和PostProc:IDCT加速次之,包含MoCoopm和PostProc:最后MoC			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aYdLQ0.html" rel="bookmark">最简单的基于FFMPEG&plus;SDL的视频播放器：拆分-解码器和播放器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文补充记录&lt;最简单的基于FFMPEG+SDL的视频播放器&gt;中的两个例子:FFmpeg视频解码器和SDL像素数据播放器.这两个部分是从视频播放器中拆分出来的两个例子.FFmpeg视频解码器实现了视频数据到YUV数据的解码,而SDL像素数据播放器实现了YUV数据的显示.简而言之,原先的FFmpeg+SDL视频播放器实现了: 视频数据-&gt;YUV-&gt;显示器 FFmpeg视频解码器实现了: 视频数据-&gt;YUV SDL像素数据播放器实现了: YUV-&gt;显示器 FFmpeg视频解码			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aYpGk0.html" rel="bookmark">【GPU编解码】GPU硬解码---CUVID</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述:项目中,需要对高清监控视频分析处理,经测试,其解码过程所占CPU资源较多,导致整个系统处理效率不高,解码成为系统的瓶颈. 解决思路: 利用GPU解码高清视频,降低解码所占用CPU资源,加速解码过程. 一.OpenCV中的硬解码 OpenCV2.4.6中,已实现利用GPU进行读取视频,由cv::gpu::VideoReader_GPU完成,其示例程序如下. 1 int main(int argc, const char* argv[]) 2 { 3 if (argc != 2) 4 re			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AENnD4.html" rel="bookmark">基于 ffmpeg 的跨平台播放器实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				https://www.qcloud.com/community/article/309889001486708756 背景: 随着游戏娱乐等直播业务的增长,在移动端观看直播的需求也日益迫切.但是移动端原生的播放器对各种直播流的支持却不是很好.Android 原生的 MediaPlayer 不支持 flv.hls 直播流,iOS 只支持标准的 HLS 流.本文介绍一种基于 ffplay 框架下的跨平台播放器的实现,且兼顾硬解码的实现. 播放器原理: 直观的讲,我们播放一个媒体文件一般需要5个基本			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qbEB94.html" rel="bookmark">最简单的基于FFMPEG&plus;SDL的音频播放器：拆分-解码器和播放器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文补充记录&lt;最简单的基于FFMPEG+SDL的音频播放器&gt;中的两个例子:FFmpeg音频解码器和SDL音频采样数据播放器.这两个部分是从音频播放器中拆分出来的两个例子.FFmpeg音频解码器实现了视频数据到PCM采样数据的解码,而SDL音频采样数据播放器实现了PCM数据到音频设备的播放.简而言之,原先的FFmpeg+SDL音频播放器实现了: 音频数据-&gt;PCM-&gt;音频设备 FFmpeg音频解码器实现了: 音频数据-&gt;PCM SDL音频采样数据播放器实现了: PCM-&gt;			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47pyX1M.html" rel="bookmark" class="title">Objective - C NSDictionary不可变字典和NSMutableDictionary可变字典</a>
					<div>
						//创建一个不可变的字典对象 //便利构造器创建 NSDictionary *dic = [NSDictionary dictionaryWithObjectsAndKeys:@&quot;zhong ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lrX6E4.html" rel="bookmark" class="title">典型用户和典型用户场景</a>
					<div>
						典型用户和典型用户场景: 典型用户1: (1)姓名:李丽 (2)性别.职业:女,基教清洁工 (3)知识层次和能力:初中水平,可以使用智能手机,使用各种软件 (4)生活/工作情况:作为清洁工,经常往返于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4peQjgM.html" rel="bookmark" class="title">flask 继承模版的基本使用1</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41gLnk0.html" rel="bookmark" class="title">linux xorddos样本分析2</a>
					<div>
						逆向分析 之后我们通过ida对该样本进行更深入的分析样本的main函数中,一开始会调用函数dec_conf对样本中的大量加密的字符串进行解密,如下图所示. 而函数dec_conf中实际调用了encry ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49oVWg0.html" rel="bookmark" class="title">配置mysql &mdash;&mdash;&mdash;&mdash;步骤</a>
					<div>
						1.进入mysql官网 https://dev.mysql.com/downloads/mysql/,在页面的列表中找到自己适合的版本,我的电脑是64位的系统,因此选择Windows (x86, 64 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RYbg7M.html" rel="bookmark" class="title">MySQL之XtraBackup实现完全备份、增量备份、数据还原</a>
					<div>
						XtraBackup:是一个开源的免费的备份工具,支持热备份,对Innodb和MyISam存储引擎都支持备份,Innodb为热备.MyISam为温备份.且支持将备份结果进行压缩存放.支持部分备份(如只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/415a9O4.html" rel="bookmark" class="title">智能控制系统中的信号---红外线</a>
					<div>
						作者:华清远见讲师 我们知道,人的眼睛能看到的可见光按波长从长到短排列,依次为红.橙.黄.绿.青.蓝.紫.其中红光的波长范围为0.62-0.76μm;紫光的波长范围为0.38-0.46μm.比紫光波长 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4157Go4.html" rel="bookmark" class="title">SOAP&sol;Web Service&sol;WSDL关系</a>
					<div>
						转载----------------------------------------------- 最近看了xml schema,xpah,和xslt的相关内容,感觉wsdl就是一个soap的sche ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vZnPa3.html" rel="bookmark" class="title">意外的声音</a>
					<div>
						在益乐新村对面有座高校.校园不大,但是里面有个蛮别致的花园.今天是星期日,白天都在睡觉,晚上吃过饭,想走走,顺便想些事情. 我找到花园的一角坐着,渐渐地,天也黑了下来.啊啊啊,我听到了喘气声.应该是幻 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RGRLv3.html" rel="bookmark" class="title">CoronaSDK场景管理库：Composer library &lpar;上&rpar;</a>
					<div>
						Composer是corona官方提供的场景创建和管理系统,我大CoronaSDK果然威武! 1 场景者,何也 corona中的每个场景是以一个lua文件的形式出现,多个.lua文件分散在你的项目中组 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGaw1Q3.html" rel="bookmark" class="title">gulp 插件之 gulp-concat</a>
					<div>
						gulp-concat 的简介: 用来把多个文件合并为一个文件,我们可以用它来合并 js 或 css 文件等,这样就能减少页面的http 请求数,提升用户体验. 一.gulp-concat 插件的使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVV6j2M.html" rel="bookmark" class="title">实验四&plus;037&plus;吴烨倩</a>
					<div>
						一.实验目的 1) 学习QTP工具的使用 2)了解黑盒自动化测试 二.实验要求 (1)对被测程序进行黑盒测试用例设计 (2)对QTP的飞机订票系统的任一界面或控件实现自动化测试.(测试的具体自选) ( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ORW190.html" rel="bookmark" class="title">PMP备考&lowbar;第五章&lowbar;项目范围管理&lowbar;实践思考</a>
					<div>
						项目范围管理 前言 今天学习项目范围管理的内容,深切的感受到了原单位在项目管理方面存在的问题,今天在这里做一个总结,既相当于对项目范围的一个学习整理,也相当于自己对项目实践过程中存在问题的一个思考.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02ZLdo0.html" rel="bookmark" class="title">软件测试学习（4）</a>
					<div>
						public static void printPrimes (int n) { int curPrime; // Value currently considered for primeness i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bpeLe4.html" rel="bookmark" class="title">实现简单页面</a>
					<div>
						这次主要做一个简单的页面,语法很简单主要用HTML,css,JavaScript,jquery. 页面的实现. JavaScript的方式实现登录页面的编写. css来做页面的修饰. 时间:陆陆续续已 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6lQe53.html" rel="bookmark" class="title">apache 2&period;2 配置</a>
					<div>
						1.HTTP状态码:   1xx: 信息性状态码 2xx:成功状态码 200OK 201CREATED 3xx:301 永久重定向 302 临时重定向,会在响应报文中使用location:新位置 4x ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QoB2N0.html" rel="bookmark" class="title">Icon 转 Bitmap</a>
					<div>
						HBITMAP IconToBitmap(HICON hIcon, SIZE* pTargetSize = NULL) { ICONINFO info = {0}; if(hIcon == NULL  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e9Pwv0.html" rel="bookmark" class="title">抽象工厂解耦</a>
					<div>
						web.config中的配置 &lt;!--抽象工厂创建对象的所需的参数--&gt; &lt;appSettings&gt;    &lt;add key=&quot;dalAssmeblyPath& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wNBr80.html" rel="bookmark" class="title">Quartz定时任务学习（三）属性文件和jar</a>
					<div>
						以下是我在应用的的一个基本配置: #---------调度器属性----------------org.quartz.scheduler.instanceName = TestSchedulerorg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QvGzkM.html" rel="bookmark" class="title">poj 2524&colon;Ubiquitous Religions（并查集，入门题）</a>
					<div>
						Ubiquitous Religions Time Limit: 5000MS   Memory Limit: 65536K Total Submissions: 23997   Accepted:  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.039 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
